package com.cim.idm.wmspackage.material.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialSpec extends FieldAccessor implements DataInfo<MaterialSpecKey>{
	
	private MaterialSpecKey key;
	
	private String description;
	private String checkState;
	private Timestamp createTime;
	private String createUser;
	private Timestamp checkoutTime;
	private String checkoutUser;
	
	private String desc_cn;
	private String desc_en;
	private String materialType;
	private String materialGroup;
	private String materialGroupDescription;
	private String materialUnit;
	
	private String expirationDateFlag;
	private int expirationDay;
	private int stockinEffectiveDay;
	private String erpLocation;
	private double materialWeight;
	
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventName;
	private String lastEventTimeKey;
	private String lastEventComment;

	private String inspectA;
	private String inspectP;
	private String inspectV;
	private String boardFlag;
	@UserColumnMark
	private String materialSpecType;
	private double maxSafetyStock;
	private double minSafetyStock;
	private String bondedFlag;

	private String IS_CON_TEMP; //恒温恒湿管控

	private String MATURATIONFLAG; //是否启用熟化

	private String MATURATIONTIME; //烘烤天数

	private String FUNIT; // 辅单位

	private String UNIT_RATES; // 辅换算率

	private String IQCFLAG; // 是否质检

	private String INSPECTION_CYCLE; // 检验周期

	//	@UserColumnMark
	private String EXPIRATIONDAY_T;
	private String IS_CON_TEMP_T;
	private String MATURATIONFLAG_T;
	private String MATURATIONTIME_T;
	private String FUNIT_T;
	private String UNIT_RATES_T;
	private String IQCFLAG_T;
	private String INSPECTION_CYCLE_T;
	private String IS_CHECK;

	public double getMaxSafetyStock() {
		return maxSafetyStock;
	}
	public void setMaxSafetyStock(double maxSafetyStock) {
		this.maxSafetyStock = maxSafetyStock;
	}
	public double getMinSafetyStock() {
		return minSafetyStock;
	}
	public void setMinSafetyStock(double minSafetyStock) {
		this.minSafetyStock = minSafetyStock;
	}
	public String getMaterialSpecType() {
		return materialSpecType;
	}
	public void setMaterialSpecType(String materialSpecType) {
		this.materialSpecType = materialSpecType;
	}
	private String erpFactoryName;
	
	public String getErpFactoryName() {
		return erpFactoryName;
	}
	public void setErpFactoryName(String erpFactoryName) {
		this.erpFactoryName = erpFactoryName;
	}
	public String getInspectA() {
		return inspectA;
	}
	public void setInspectA(String inspectA) {
		this.inspectA = inspectA;
	}
	public String getInspectP() {
		return inspectP;
	}
	public void setInspectP(String inspectP) {
		this.inspectP = inspectP;
	}
	public String getInspectV() {
		return inspectV;
	}
	public void setInspectV(String inspectV) {
		this.inspectV = inspectV;
	}
	
	public MaterialSpecKey getKey() {
		return key;
	}
	public void setKey(MaterialSpecKey keyInfo) {
		this.key = keyInfo;
	}

	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getCheckState() {
		return checkState;
	}
	public void setCheckState(String checkState) {
		this.checkState = checkState;
	}
	public Timestamp getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}
	public String getCreateUser() {
		return createUser;
	}
	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}
	public Timestamp getCheckoutTime() {
		return checkoutTime;
	}
	public void setCheckoutTime(Timestamp checkoutTime) {
		this.checkoutTime = checkoutTime;
	}
	public String getCheckoutUser() {
		return checkoutUser;
	}
	public void setCheckoutUser(String checkoutUser) {
		this.checkoutUser = checkoutUser;
	}
	public Timestamp getLastEventTime() {
		return lastEventTime;
	}
	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}
	public String getLastEventUser() {
		return lastEventUser;
	}
	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}
	public String getLastEventName() {
		return lastEventName;
	}
	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}
	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}
	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}
	public String getLastEventComment() {
		return lastEventComment;
	}
	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}
	public String getMaterialGroup() {
		return materialGroup;
	}
	public void setMaterialGroup(String materialGroup) {
		this.materialGroup = materialGroup;
	}
	public String getMaterialType() {
		return materialType;
	}

	public String getIS_CON_TEMP() {
		return IS_CON_TEMP;
	}

	public void setIS_CON_TEMP(String IS_CON_TEMP) {
		this.IS_CON_TEMP = IS_CON_TEMP;
	}

	public String getMATURATIONFLAG() {
		return MATURATIONFLAG;
	}

	public void setMATURATIONFLAG(String MATURATIONFLAG) {
		this.MATURATIONFLAG = MATURATIONFLAG;
	}

	public String getMATURATIONTIME() {
		return MATURATIONTIME;
	}

	public void setMATURATIONTIME(String MATURATIONTIME) {
		this.MATURATIONTIME = MATURATIONTIME;
	}

	public String getFUNIT() {
		return FUNIT;
	}

	public void setFUNIT(String FUNIT) {
		this.FUNIT = FUNIT;
	}

	public String getUNIT_RATES() {
		return UNIT_RATES;
	}

	public void setUNIT_RATES(String UNIT_RATES) {
		this.UNIT_RATES = UNIT_RATES;
	}

	public String getIQCFLAG() {
		return IQCFLAG;
	}

	public void setIQCFLAG(String IQCFLAG) {
		this.IQCFLAG = IQCFLAG;
	}

	public String getINSPECTION_CYCLE() {
		return INSPECTION_CYCLE;
	}

	public void setINSPECTION_CYCLE(String INSPECTION_CYCLE) {
		this.INSPECTION_CYCLE = INSPECTION_CYCLE;
	}

	public String getEXPIRATIONDAY_T() {
		return EXPIRATIONDAY_T;
	}

	public void setEXPIRATIONDAY_T(String EXPIRATIONDAY_T) {
		this.EXPIRATIONDAY_T = EXPIRATIONDAY_T;
	}

	public String getIS_CON_TEMP_T() {
		return IS_CON_TEMP_T;
	}

	public void setIS_CON_TEMP_T(String IS_CON_TEMP_T) {
		this.IS_CON_TEMP_T = IS_CON_TEMP_T;
	}

	public String getMATURATIONFLAG_T() {
		return MATURATIONFLAG_T;
	}

	public void setMATURATIONFLAG_T(String MATURATIONFLAG_T) {
		this.MATURATIONFLAG_T = MATURATIONFLAG_T;
	}

	public String getMATURATIONTIME_T() {
		return MATURATIONTIME_T;
	}

	public void setMATURATIONTIME_T(String MATURATIONTIME_T) {
		this.MATURATIONTIME_T = MATURATIONTIME_T;
	}

	public String getFUNIT_T() {
		return FUNIT_T;
	}

	public void setFUNIT_T(String FUNIT_T) {
		this.FUNIT_T = FUNIT_T;
	}

	public String getUNIT_RATES_T() {
		return UNIT_RATES_T;
	}

	public void setUNIT_RATES_T(String UNIT_RATES_T) {
		this.UNIT_RATES_T = UNIT_RATES_T;
	}

	public String getIQCFLAG_T() {
		return IQCFLAG_T;
	}

	public void setIQCFLAG_T(String IQCFLAG_T) {
		this.IQCFLAG_T = IQCFLAG_T;
	}

	public String getINSPECTION_CYCLE_T() {
		return INSPECTION_CYCLE_T;
	}

	public void setINSPECTION_CYCLE_T(String INSPECTION_CYCLE_T) {
		this.INSPECTION_CYCLE_T = INSPECTION_CYCLE_T;
	}

	public String getIS_CHECK() {
		return IS_CHECK;
	}

	public void setIS_CHECK(String IS_CHECK) {
		this.IS_CHECK = IS_CHECK;
	}

	public void setMaterialType(String materialType) {
		this.materialType = materialType;
	}
	public String getDesc_cn() {
		return desc_cn;
	}
	public void setDesc_cn(String desc_cn) {
		this.desc_cn = desc_cn;
	}
	public String getDesc_en() {
		return desc_en;
	}
	public void setDesc_en(String desc_en) {
		this.desc_en = desc_en;
	}
	
	public String getMaterialGroupDescription() {
		return materialGroupDescription;
	}
	public void setMaterialGroupDescription(String materialGroupDescription) {
		this.materialGroupDescription = materialGroupDescription;
	}

	public String getMaterialUnit() {
		return materialUnit;
	}
	public void setMaterialUnit(String materialUnit) {
		this.materialUnit = materialUnit;
	}
	public String getExpirationDateFlag() {
		return expirationDateFlag;
	}
	public void setExpirationDateFlag(String expirationDateFlag) {
		this.expirationDateFlag = expirationDateFlag;
	}
	public int getExpirationDay() {
		return expirationDay;
	}
	public void setExpirationDay(int expirationDay) {
		this.expirationDay = expirationDay;
	}
	public int getStockinEffectiveDay() {
		return stockinEffectiveDay;
	}
	public void setStockinEffectiveDay(int stockinEffectiveDay) {
		this.stockinEffectiveDay = stockinEffectiveDay;
	}
	public String getErpLocation() {
		return erpLocation;
	}
	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}
	public double getMaterialWeight() {
		return materialWeight;
	}
	public void setMaterialWeight(double materialWeight) {
		this.materialWeight = materialWeight;
	}
	public String getBoardFlag() {
		return boardFlag;
	}
	public void setBoardFlag(String boardFlag) {
		this.boardFlag = boardFlag;
	}
	public String getBondedFlag() {
		return bondedFlag;
	}
	public void setBondedFlag(String bondedFlag) {
		this.bondedFlag = bondedFlag;
	}
	
}